Author Topic: A Practical Civil 3D Toolbar 7-22-09 now complete. More goodies-survey cad techs  (Read 2725 times)

0 Members and 1 Guest are viewing this topic.

sourdough

  • Bull Frog
  • Posts: 367
July 2, found an error and have updated the Zip file.  MJP

First off, I have always wanted to see some toolbars for Civil 3D for some basics. Yes, I know in 2010 that they have these lovely Ribbons. I'm not trying to start a debate for the new ribbons over toolbars. Frankly for me, they take up to much real estate, even on my 2 24" monitors. So, I came to the conclusion that I have to do it for myself. I type faster then I can do a pulldown. So, here is a start to my building a useful toolbar. I will follow as time permits other toolbars directed to building pipenetworks and surfaces, etc. Others, that have done the same and want to share please contribute. I realize that these are very simple to do, so veterans here will pass this one. For those who are crossing over or somewhat new to Civil 3D, I hope you can find these somewhat helpful. I tried to first focus on the most used functions for a simple toolbar.


I have a number of items in a folder that I put on my c:drive:
Civil 3D Toolbar

The toolbar will look for everything it needs there, so you have to point to it in
the Support File Search Path in Options and add the lisp routine to you appload suitcase.
I have attached a zip file that you can extract to your c:drive.

I found that when I did move objects or panned that the layermanager, when open, started
to cycle through all the layers and slowing what I was doing, so I wanted to turn them off
quickly. I combined the move with close those dialog boxes while doing those commands
and wanted it to do it fast and also turn them back on quickly as well.
This worked for me with modifying my methods only slightly.

I also included some useful commands via lisp, as well like :
Snapfix - for correcting a twisted crosshairs
RIB -  for Ribbonclose
/ - for layerclose and propertiesclose
` - for open layermanager and properties
\ - for open properties
snf - snapfix cursor
pb - purge blocks
LB   --- Edit Label Style Edit
ADD  --- Add Network Part Plan Label
ADDP  --- Add Network Part Profile Label
ELT   --- Edit Label Text
ASL   --- Add Surface Line (to Tin)
DSL    --- Delete Surface Line (Tin)
SW   --- Edit Swap Surface Edge
ESP    --- Edit Surface Properties
ESS    --- Edit Surface Style
EPS    --- Edit Profile Style
EGP    --- Edit Profile Properties
EN   --- Edit Pipe Network
EPP  --- Edit Pipe Properties
EPPP --- Edit Profile Part Properties Select a Structure
EPS  --- Edit Pipe Style
EST  --- Edit Structure Properties
EGS  --- Edit Profile GraphStyle
EPL  --- Edit Profile
CPL  --- Create Profile Layout
GNO  --- Add General Note
C1  --- Create Contour Label
PBR  --- Regen Part Catalog




some of these commands are used in the toolbar.

So, from left to right the buttons do these commands:

1- turn off layermanager-properties and then do move
2- turn off layermanager-properties and then do pan
3- Zoom Window
4- turn on layermanager and properties
5- EditLabelText for General Notes Edit
6- Start a General Note
7- Add network part profile label
8- Add network part plan label
9- Named Views from Viewmanager
10- Turn on all layers
11- Thaw all layers
12- Purge Blocks and run Audit
13- Point Groups Open
14- Open Point Editor
15 - Edit Alignment
16 - Edit Network
17 - Connect to Part
18 - Edit Pipe Properties
19 - Edit Structure Properties Plan View
20 - Edit Pipe Properties Profile View
21 - Edit Graph Properties
22 - Label Flip
23 - Label Style Edit
24 - Start Polyline then pick by Point Number
25 - Start Polyline then pick by Point Name
26 - Start Polyline then pick by Point Object
23 - Start Polyline by Point Object
25 - Save

I added the Polyline pick by Point Object... since the Osnap pick for adding lines by points
doesn't work worth a hoot when creating survey linework.

Here is the code for the other commands not in the toolbar. It is in the zip file.

Code: [Select]
;;*************************************************************************************************
(defun c:en () (princ (strcat "\nEdit Pipe Network"))(command "EditNetwork")(princ))

;;;*************************************************************************************************



(defun c:eps () (princ (strcat "\nEdit Pipe Style"))(command "EditPipeStyle")(princ))

;;;*************************************************************************************************

(defun c:dsl () (command "_DeleteSurfaceLine")(princ))

;;
;;*************************************************************************************************

(defun c:sw () (command "_EditSurfaceSwapEdge")(princ))


;;*************************************************************************************************
(defun c:epp () ;Edit Pipe Properties
(princ (strcat "\nEdit Pipe Properties select a Pipe"))
(command "EditPipeProperties")(princ)
)
;;*************************************************************************************************
(defun c:eal () (princ (strcat "\nEdit Alignment"))(command "EditAlignment")(princ))

;;*************************************************************************************************
(defun c:esp () (princ (strcat "\nEdit Surface Properties select a Surface"))(command "EditSurfaceProperties")(princ))



;;*************************************************************************************************
(defun c:ess () (princ (strcat "\nEdit Surface Style select a Surface"))(command "EditSurfaceStyle")(princ))



;;*************************************************************************************************

(defun c:egs () (princ (strcat "\nEdit Profile GraphStyle select a Profile"))(command "EditGraphStyle")(princ))

;;
;;*************************************************************************************************

(defun c:egp () (princ (strcat "\nEdit Profile GraphProperties select a Profile"))(command "EditGraphProperties")(princ))


;;*************************************************************************************************
(defun c:epl () (princ (strcat "\nEdit Profile Alignment"))(command "EditProfileLayout")(princ))

(defun c:snapfix ( / )
  (setvar "SNAPANG" (* -1 (getvar "VIEWTWIST")))
  (princ)
)

;;;*************************************************************************************************

(defun c:cpl () (command "_AeccCreateProfileLayout")(princ))



;;*************************************************************************************************
(defun c:eppp () ;Edit Parent Part Properties
(princ (strcat "\nEdit Profile Part Properties select a Structure"))
(command "EditParentPartProperties")(princ)
)

;;
;;*************************************************************************************************

(defun c:est () (princ (strcat "\nEdit Structure Properties"))(command "EditStructureProperties")(princ))



;;
;;*************************************************************************************************

(defun c:lb () (command "LabelStyleEdit")(princ))

;;
;;*************************************************************************************************
 

Hopefully, this will work with the info I have provided. I welcome
your input and if you have any suggestions of a positive nature
I'll put them in as time allows.

Mike
MJP

« Last Edit: July 22, 2009, 07:08:57 PM by sourdoug »
LDC 2009/C3D 2010/C3D 2011/C3D 2016

Win 10 64bit

sinc

  • Guest
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #1 on: June 15, 2009, 12:54:35 PM »
You may not need your #4.  Have you figured out how to setup C3D so that you can edit labels by double-clicking on them?  (This is probably something that should happen by default, but since it doesn't, it's easy enough configure yourself.)

sourdough

  • Bull Frog
  • Posts: 367
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #2 on: June 15, 2009, 10:55:52 PM »
You may not need your #4.  Have you figured out how to setup C3D so that you can edit labels by double-clicking on them?  (This is probably something that should happen by default, but since it doesn't, it's easy enough configure yourself.)

I found the double click once on your site and couldn't find it again. One other thought,
on my discovery of the cycling of layers in the layermanager and the properties dialog boxes. I was disappointed in C3D that it does this when grabbing grips of viewports only to find that it jerks and crawls, and grabbing grip of a point to drag (pt,elev,desp), which is why I could only find the solution I did for shutting the dialog boxes down. If there is another way to get the speed back when doing the simple tasks Let Me Know. I have worked on 2010 C3D and it appears to do it there too, in addition to 2009. All tests were done on quad core machines with great graphics cards and setups. In all I agree that your double click is great, so Please show me (us) again. I'll have my other civil 3D shortcuts (another earlier topic) to a toolbar as soon as I can find a descent icon builder that I like.

MJP
LDC 2009/C3D 2010/C3D 2011/C3D 2016

Win 10 64bit

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #3 on: June 16, 2009, 09:19:24 AM »
Turn the running OSNAP and OTRACK features off, you will notice that performance improves.
Be your Best


Michael Farrell
http://primeservicesglobal.com/

Jeff_M

  • King Gator
  • Posts: 4099
  • C3D user & customizer
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #4 on: June 16, 2009, 10:08:01 AM »
I found the double click once on your site and couldn't find it again. .......
 I have worked on 2010 C3D and it appears to do it there too, in addition to 2009.
Mike, you can find the double-click stuff in Sinc's SincPac.cui on his site. With a bit of patience, it is really quite simple to build your own though. Just look for the existing double-click actions in the CUI and see how they were constructed, then do the same for whatever other commands you want.

I've been pounding on 2010 pretty heavy, and one of the biggest things I noticed an improvement in is the "lag-while-dragging-when-the-layer-properties-is-open" problem. In fact, I would have to say from my POV, that they have fixed this completely in 2010. If you are still having slow downs, I think it is probably something else going on. This is on both my laptop and the desktop I got from you with the added Quadro card.

sinc

  • Guest
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #5 on: June 16, 2009, 11:09:39 AM »
Here's a synopsis:

First, use the LIST command to figure out the name(s) of the label(s) you want to enable the double-click action for.  For example, a general line label is AECC_GENERAL_SEGMENT_LABEL.

Then, in the CUI, create an "Edit Label Text" command, with the following macro:

Code: [Select]
^C^C._editlabeltext
Now create a new double-click action, key in the entity name for the label, and assign the "Edit Label Text" command to the action, as in the attached image.

And you're done!

If you want, you can simply grab the "sincpac.cui" file from my website, then use the Transfer tab to transfer the double-click actions into your own CUI:

http://www.quuxsoft.com/Free/Sincpac-C3D_CUI.zip

sinc

  • Guest
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #6 on: June 16, 2009, 11:12:44 AM »
I've been pounding on 2010 pretty heavy, and one of the biggest things I noticed an improvement in is the "lag-while-dragging-when-the-layer-properties-is-open" problem. In fact, I would have to say from my POV, that they have fixed this completely in 2010. If you are still having slow downs, I think it is probably something else going on.

Do you still have problems if you try to select more than about 1000 Cogo Points at once while the Properties palette is open?  I still see that problem.  There's also a problem if I select a few thousand Cogo Points first, then try to open the Properties palette.  It generally doesn't crash my system, but it takes a very long time.

sourdough

  • Bull Frog
  • Posts: 367
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #7 on: June 16, 2009, 11:28:06 AM »
Turn the running OSNAP and OTRACK features off, you will notice that performance improves.

Mike, yes the osnap and otrack are off and still see the lag in 2009 have to test the 2010 again, but will check that out as well. Hey, thanks for the double  click option.

Thanks
MJP
  
« Last Edit: June 16, 2009, 11:31:16 AM by sourdoug »
LDC 2009/C3D 2010/C3D 2011/C3D 2016

Win 10 64bit

sourdough

  • Bull Frog
  • Posts: 367
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #8 on: June 16, 2009, 11:30:47 AM »
I've been pounding on 2010 pretty heavy, and one of the biggest things I noticed an improvement in is the "lag-while-dragging-when-the-layer-properties-is-open" problem. In fact, I would have to say from my POV, that they have fixed this completely in 2010. If you are still having slow downs, I think it is probably something else going on.

Do you still have problems if you try to select more than about 1000 Cogo Points at once while the Properties palette is open?  I still see that problem.  There's also a problem if I select a few thousand Cogo Points first, then try to open the Properties palette.  It generally doesn't crash my system, but it takes a very long time.

Hi Sinc
    I get the lag even when I do a drag of a single point and noticing the cycling of properties and layermanager. As Jeff has mentioned I'll see if I get the same problem there. Regardsless, my solution is a fix in my mind, even if the osnap and otrack are one. It is quick and I'm sure over time we will see a sp to fix it, I hope.

MJP
LDC 2009/C3D 2010/C3D 2011/C3D 2016

Win 10 64bit

Jeff_M

  • King Gator
  • Posts: 4099
  • C3D user & customizer
Re: Shortcut Toolbar Civil 3D for Point Groups- Other Useful Commands
« Reply #9 on: June 16, 2009, 12:07:07 PM »
Do you still have problems if you try to select more than about 1000 Cogo Points at once while the Properties palette is open?  I still see that problem.  There's also a problem if I select a few thousand Cogo Points first, then try to open the Properties palette.  It generally doesn't crash my system, but it takes a very long time.
Yes, the Points/Properties Palette issue still exists. Selecting 1140 points with the Palette open takes ~20 seconds. With it closed they are selected instantly but then opening the palette takes around 20 seconds again.
Fortunately I don't have to work in drawings with points too often.